Skip to main content
GET
/
v3
/
order
/
{order_id}
/
phlebotomy
/
appointment
curl --request GET \
     --url '{{BASE_URL}}/v3/order/413d7205-f8a9-42ed-aa4a-edb99e481ca0/phlebotomy/appointment' \
     --header 'accept: application/json' \
     --header 'x-vital-api-key: YOUR_API_KEY'
from junction import Junction
from junction.environment import JunctionEnvironment

client = Junction(
    api_key="YOUR_API_KEY",
    environment=JunctionEnvironment.SANDBOX,
)

data = client.lab_tests.get_phlebotomy_appointment("<order_id>")
import { JunctionClient, JunctionEnvironment } from "@junction-api/sdk";

const client = new JunctionClient({
    apiKey: "YOUR_API_KEY",
    environment: JunctionEnvironment.Sandbox,
});

const data = await client.labTests.getPhlebotomyAppointment({ orderId: "<order_id>" });
import com.junction.api.Junction;
import com.junction.api.core.Environment;

Junction client = Junction.builder()
    .apiKey("YOUR_API_KEY")
    .environment(Environment.SANDBOX)
    .build();

var data = client.labTests().getPhlebotomyAppointment("<order_id>");
import (
    "context"

    junction "github.com/junction-api/junction-go"
    "github.com/junction-api/junction-go/client"
    "github.com/junction-api/junction-go/option"
)

c := client.NewClient(
    option.WithApiKey("YOUR_API_KEY"),
    option.WithBaseURL(junction.Environments.Sandbox),
)

response, err := c.LabTests.GetPhlebotomyAppointment(context.TODO(), &junction.GetPhlebotomyAppointmentLabTestsRequest{
    OrderId: "<order_id>",
})
if err != nil {
    return err
}
fmt.Printf("Received data %s\n", response)
{
    "id": "413d7205-f8a9-42ed-aa4a-edb99e481ca0",
    "user_id": "202b2c2f-fb4c-44dc-a4f8-621186fde227",
    "address": {
        "first_line": "West Lincoln Street",
        "second_line": "",
        "city": "Phoenix",
        "state": "AZ",
        "zip_code": "85004",
        "unit": "14"
    },
    "location": {
        "lng": -112.0772235,
        "lat": 33.4421912
    },
    "start_at": "2023-05-17T20:00:00+00:00",
    "end_at": "2023-05-17T22:00:00+00:00",
    "iana_timezone": "America/Phoenix",
    "type": "phlebotomy",
    "provider": "getlabs",
    "status": "pending",
    "provider_id": "e89eb489-7382-4966-bb14-7ab4763eba6c",
    "can_reschedule": true
}
curl --request GET \
     --url '{{BASE_URL}}/v3/order/413d7205-f8a9-42ed-aa4a-edb99e481ca0/phlebotomy/appointment' \
     --header 'accept: application/json' \
     --header 'x-vital-api-key: YOUR_API_KEY'
from junction import Junction
from junction.environment import JunctionEnvironment

client = Junction(
    api_key="YOUR_API_KEY",
    environment=JunctionEnvironment.SANDBOX,
)

data = client.lab_tests.get_phlebotomy_appointment("<order_id>")
import { JunctionClient, JunctionEnvironment } from "@junction-api/sdk";

const client = new JunctionClient({
    apiKey: "YOUR_API_KEY",
    environment: JunctionEnvironment.Sandbox,
});

const data = await client.labTests.getPhlebotomyAppointment({ orderId: "<order_id>" });
import com.junction.api.Junction;
import com.junction.api.core.Environment;

Junction client = Junction.builder()
    .apiKey("YOUR_API_KEY")
    .environment(Environment.SANDBOX)
    .build();

var data = client.labTests().getPhlebotomyAppointment("<order_id>");
import (
    "context"

    junction "github.com/junction-api/junction-go"
    "github.com/junction-api/junction-go/client"
    "github.com/junction-api/junction-go/option"
)

c := client.NewClient(
    option.WithApiKey("YOUR_API_KEY"),
    option.WithBaseURL(junction.Environments.Sandbox),
)

response, err := c.LabTests.GetPhlebotomyAppointment(context.TODO(), &junction.GetPhlebotomyAppointmentLabTestsRequest{
    OrderId: "<order_id>",
})
if err != nil {
    return err
}
fmt.Printf("Received data %s\n", response)
{
    "id": "413d7205-f8a9-42ed-aa4a-edb99e481ca0",
    "user_id": "202b2c2f-fb4c-44dc-a4f8-621186fde227",
    "address": {
        "first_line": "West Lincoln Street",
        "second_line": "",
        "city": "Phoenix",
        "state": "AZ",
        "zip_code": "85004",
        "unit": "14"
    },
    "location": {
        "lng": -112.0772235,
        "lat": 33.4421912
    },
    "start_at": "2023-05-17T20:00:00+00:00",
    "end_at": "2023-05-17T22:00:00+00:00",
    "iana_timezone": "America/Phoenix",
    "type": "phlebotomy",
    "provider": "getlabs",
    "status": "pending",
    "provider_id": "e89eb489-7382-4966-bb14-7ab4763eba6c",
    "can_reschedule": true
}

Authorizations

x-vital-api-key
string
header
required

Vital Team API Key

Path Parameters

order_id
string<uuid>
required

Your Order ID.

Response

Successful Response

id
string<uuid4>
required
user_id
string<uuid4>
required
order_id
string<uuid4>
required
address
USAddress · object
required
location
LngLat · object
required
start_at
string<date-time> | null
required

Time is in UTC

end_at
string<date-time> | null
required

Time is in UTC

type
enum<string>
required

ℹ️ This enum is non-exhaustive.

Available options:
phlebotomy,
patient_service_center
provider
enum<string>
required

ℹ️ This enum is non-exhaustive.

Available options:
getlabs,
phlebfinders,
quest,
sonora_quest
status
enum<string>
required

ℹ️ This enum is non-exhaustive.

Available options:
confirmed,
pending,
reserved,
in_progress,
completed,
cancelled
provider_id
string
required
can_reschedule
boolean
required
event_status
enum<string>
required

ℹ️ This enum is non-exhaustive.

Available options:
pending,
reserved,
scheduled,
completed,
cancelled,
in_progress
events
ClientFacingAppointmentEvent · object[]
required
order_transaction_id
string<uuid4> | null
iana_timezone
string | null
Pattern: ^(?:(?:[A-Za-z_\-]+\/[A-Za-z_\-]+(?:\/[A-Za-z_\-]+)?)|(?:Etc\/[A-Za-z0-9+\-]+(?:\/[A-Za-z0-9]+)?|(?:CET|CST6CDT|EET|EST|EST5EDT|MET|MST|MST7MDT|PST8PDT|HST)))$
external_id
string | null
appointment_notes
string | null
Maximum string length: 1000
event_data
Event Data · object | null